ButtonComponentWidget (base API)
Date: 2019-04-05

com.twosigma.beakerx.easyform.formitem.widgets

## Class ButtonComponentWidget

- java.lang.Object
- - com.twosigma.beakerx.easyform.EasyFormComponent<com.twosigma.beakerx.widget.Button>
  - - com.twosigma.beakerx.easyform.formitem.widgets.ButtonComponentWidget

- All Implemented Interfaces:
    com.twosigma.beakerx.widget.CommFunctionality

      public class ButtonComponentWidget
      extends EasyFormComponent<com.twosigma.beakerx.widget.Button>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `EasyFormListener` | `actionPerformed`

    - ### Fields inherited from class com.twosigma.beakerx.easyform.EasyFormComponent

      `widget`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ButtonComponentWidget()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `EasyFormComponent` | `addAction(EasyFormListener listener)`
    `void` | `addActionListener(EasyFormListener listener)`
    `java.lang.String` | `getTag()`
    `boolean` | `isButton()`
    `void` | `setTag(java.lang.String tag)`
    `void` | `setValue(java.lang.Object value)`

    - ### Methods inherited from class com.twosigma.beakerx.easyform.EasyFormComponent

      `addOnChangeListener, addOnInitListener, checkValue, clearListeners, close, fireChanged, fireInit, formatValue, getComm, getLabel, getValue, getWidget, isEnabled, onChange, onInit, registerUpdateValueCallback, removeOnChangeListener, removeOnInitListener, setEnabled, setLabel`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### actionPerformed

          public EasyFormListener actionPerformed

  - ### Constructor Detail

    - #### ButtonComponentWidget

          public ButtonComponentWidget()

  - ### Method Detail

    - #### setValue

          public void setValue(java.lang.Object value)

      Overrides:
        `setValue` in class `EasyFormComponent<com.twosigma.beakerx.widget.Button>`

    - #### setTag

          public void setTag(java.lang.String tag)

    - #### getTag

          public java.lang.String getTag()

    - #### addAction

          public EasyFormComponent addAction(EasyFormListener listener)

    - #### addActionListener

          public void addActionListener(EasyFormListener listener)

    - #### isButton

          public boolean isButton()

      Overrides:
        `isButton` in class `EasyFormComponent<com.twosigma.beakerx.widget.Button>`